Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I'm having a hard time installing grid_renderer on Ubuntu Maverick (10.10). I've followed these instructions but when I compile the mapnik branch I always get this error (http://pastebin.com/Txc5Wt9W):

[...]
scons: *** [bindings/python/mapnik_python.os] Error 1
scons: building terminated because of errors.
share|improve this question

2 Answers 2

Perhaps a solution here : http://lists.berlios.de/pipermail/mapnik-devel/2008-September/000715.html

A mismatch in user configuration, solved by building as root.

share|improve this answer
up vote 0 down vote accepted

The problem was a bug in the code and it's already fixed in the latest mapnik branch.

share|improve this answer
1  
welcome to GIS Stack Exchange :) Thank you for taking the time to come back and indicate the problem has been solved. You can mark mark your own answser as the best correct one after a day or so. It would be a better answer for those that come after if it also contained some info about the particular bug that's been fixed, and perhaps a link to it's entry in a tracker or fix report. –  matt wilkie Apr 18 '11 at 21:56
    
Thanks, @matt-wilkie. I've edited my message and marked my answer. –  Javier Apr 20 '11 at 16:05

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.